Subject: [os2genau_digest] No. 672
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 31 Jul 2003 00:04:00 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 30 July 2003
 Number  672
**************************************************

Subjects for today
 
1  Re:  There was a meeting? : Ian Manners" <deadmail>
2  Re:  Melbourne PC OS/2 SIG meeting Report : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
3   VPC Sound - was Re: Melbourne PC OS/2 SIG meeting Report : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
4  Re:  VPC Sound - was Re: Melbourne PC OS/2 SIG meeting Report : Paul Smedley" <paul at smedley.info>
5  Re:  Melbourne PC OS/2 SIG meeting Report : Ed Durrant <edurrant at bigpond dot net dot au>
6   testing 1..2.3, : Glenn Thompson"<tsq at internode.on dot net>
7  Re:  testing 1..2.3, : Glenn Thompson"<tsq at internode.on dot net>
8  Re:  testing 1..2.3, : John Angelico" <talldad at kepl dot com dot au>
9  Re:  testing 1..2.3, : Glenn Thompson"<tsq at internode.on dot net>

**= Email   1 ==========================**

Date:  Wed, 30 Jul 2003 01:23:09 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  There was a meeting?

Hi Peter

> When was the email sent saying there was to be a meeting on July 22nd?

My apologies, tis my fault, I promise to just leave CRON running
with the job unremmed out in the cmd file :-|
I'd only put message releases in for upto June 2003, so I'm adding
releases for the next 3 years now, and a reminded email to myself
yearly, on the assumtion that we will all still be here.
 
> I missed out on what seemed to be a most interesting & constructive 
> meeting in a long time.

Wish I could have gone as well, I'm now on permanent 1600-2400Hrs
shift Monday to Friday, and realised when I was going to manually
send the list notice out, that it had just occurred (the meeting that is)
about 6 hours earlier !

Cheers
Ian Manners
http://www.os2site dot com/

New Mail not found.  Start whine-pout sequence? (Y/N)
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 30 Jul 2003 09:52:25 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Melbourne PC OS/2 SIG meeting Report

Ed,

From the readme.txt file:-

5. Known Problems
-----------------

- due to problems with several sound chips, sound support
  has been disabled in this version of the product. It
  might be reenabled in a future release. Note that this
  is not a problem with Virtual PC but rather a problem
  with many OS/2 sound drivers not being able to handle
  small buffers. Especially the current Crystal sound
  drivers are very problematic. The ESS PCI sound drivers
  lead to constant system hangs after running VPC for
  about 30-45 minutes.
  Note that there is an undocumented way of enabling sound
  support in this version of Virtual PC. For more
  information, refer to the product support site.

End Quote.................

I have had a look around the web site and could only find
info that catagorically said that os2 sound support was 
disabled.  I could not find any info that gave even so much as
a clue as to how the "undocumented" method was to work.

Perhaps that was why I could not find it.  It truely is
"undocumented".!  :-)

Now Paul Smedley said in the other reply:-

from memory - vpcsetup.exe /tweakpc

I will give this a try and report what happens.
I have a SBlive 5.1 sound card.

Can either point me to where this "undocumented"
info may be documented.?

Regards,
BobT.

On Tue, 29 Jul 2003 21:24:00 +1000, Ed Durrant wrote:

> Hi John,
> 
>   thanks for the interesting report, but please allow me to correct a couple of
> points:
> 
> John Angelico wrote:
> 
> > .....To use the tool in the first place requires WarpIn, which is now a very
> > mature application installer and version tracker. If you have already
> > installed eCS 1.1 this will have been done for you.
> 
>   Actually when I installed, it is still a selectable option, not a default installed
> component.
> 
> > ....VPC/2 .........  Current versions do
> > not support sound emulation in OS/2.  But the website has some positive
> > statements which seem to indicate that development is (so far) still in
> > progress.
> 
>   Actually VPC/2 v5 and above does support Audio !! I can't remember if it's enabled
> by default or not, however how to enable it IS documented in the handbook.
>   Preferred Audio hardware on the OS/2 host is Creative Labs SBLive! however I have
> also used a SB 16PNP Value card and got just as good results. Some cards/chipsets such
> as Crystal DO NOT work, due to the design of the hardware and drivers. Sound is not
> perfect but acceptable on a faster (1GHz plus) machine. It's bad on a 500MHz machine.
> 
> >
> >
> >
> > OS's we have tested so far include Windows 98se and Windows XP Pro.
> > With Suse Linux to follow soon.
> >
> 
>    I've also run Windows 2003 .NET server, Win95, DOS, Warp 3, Warp 4, eCS, windows
> 2000 professional under VPC/2 - all work fine. Give them as much memory as you can
> spare for maximum performance. I have had 5 conncurrent copies running win98 and OS/2
> at the same time on my 512MB system.
> 
>   I presently use VPC/2 with Win98se to run a DVD Movie authoring program as I can't
> get any to work under OS/2 yet. With the shared folders capability I can transfer the
> input movie clips in and the finished product out, to be burnt to DVD using RSJ or to
> SVCDs using RSJ or CD-Record/2.
> 
> Cheers/2
> 
> Ed.

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 30 Jul 2003 18:08:35 +1000 (AEST)
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:   VPC Sound - was Re: Melbourne PC OS/2 SIG meeting Report

Hi Paul,

I found it by trial and error. What I did was:-

---------------------------------------------------------
For sound (which is disabled by default)

1. Copy the object "Virtual PC for OS/2 Setup" to say
"Virtual PC for OS/2 Setup Tweaker" and modify the parameter:-
/c start /f /c /min /pgm L:\VirtualPC\VPCSETUP.EXE
to be:-
/c start /f /c /min /pgm L:\VirtualPC\VPCSETUP.EXE /tweakvpc

2. Run the object "Virtual PC for OS/2 Setup Tweaker" and place a tick
in the box "Enable Sound in Virtual Machines".

3. Load saved VPC.
---------------------------------------------------------
Sound, glorious sound at last.!

I still can't find anything on the website that documents this.
Paul, any chance you could post the relevant info to this list
or email me directly..?

TIA,

Regards,

BobT.

On Tue, 29 Jul 2003 21:21:16 +0950 (CST), Paul Smedley wrote:
> On Tue, 29 Jul 2003 21:24:00 +1000, Ed Durrant wrote:
> 
> >> ....VPC/2 .........  Current versions do
> >> not support sound emulation in OS/2.  But the website has some positive
> >> statements which seem to indicate that development is (so far) still in
> >> progress.
> >
> >  Actually VPC/2 v5 and above does support Audio !! I can't remember if it's enabled
> >by default or not, however how to enable it IS documented in the handbook.
> 
> from memory - vpcsetup.exe /tweakpc
> 
> Cheers,
> 
> paul.

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 30 Jul 2003 18:44:37 +0950 (CST)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  VPC Sound - was Re: Melbourne PC OS/2 SIG meeting Report

Bob,
On Wed, 30 Jul 2003 18:08:35 +1000 (AEST), Robert Traynor  (BobT) wrote:

>Hi Paul,
>
>I found it by trial and error. What I did was:-
<snipped>
>Sound, glorious sound at last.!
>
>I still can't find anything on the website that documents this.
>Paul, any chance you could post the relevant info to this list
>or email me directly..?

From the Innotek Support forums  at  http://www.innotek.de/support/forums/

	posted 05 April 2002 23:40                 Virtual PC for OS/2 by default disables sound 
for guest systems. This is done to prevent problems such as distorted sound, system traps, 
lockups, etc. due to buggy OS/2 sound drivers. For most sound drivers, it is recommended 
to not turn on sound support. The worst results can be experienced with the drivers from 
Crystal (ISA and PCI) - usually system traps. In case you have a sound driver that can 
handle small buffers and high interrupt rates well (e.g. Soundblaster Live! or UNIAUD from 
IBM), you can try to enable sound support.

To enable sound in VPC/2 guests type:

CD VIRTUALPC
VPCSETUP /TWEAKVPC
check "Enable Sound in virtual machines"

On the next restart of VPC, your guest should have sound (of course, you still have to install 
a SB16 sound driver in your guest... or in case of Win9x/2K/XP, let the autodetection find 
the virtual SB16 card and install the driver...)
voila!

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 30 Jul 2003 19:37:49 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Melbourne PC OS/2 SIG meeting Report

I was SURE I had seen the enablement of Sound in the pdf manual for
virtual PC, but i can't
find it. Indeed the tip about using tweakvpc could have been what I was
thinking of - here's
an extract from an article in a Voice newsletter:

Sound

Support for sound is present in the current version of VPC/2; however,
this support is
turned off by default.

Many sound drivers for OS/2 have bugs, which can cause distorted sound,
system traps,
lock-ups and other unusual behavior, if sound is enabled under VPC. For
most sound
drivers, Innotek recommends that sound support is not turned on.

Some sound drivers (eg. the SoundBlaster Live! driver and UniAud driver
created by Innotek
for IBM) can handle small buffers and high interrupt rates. I have a
Soundblaster
Live! sound card, using the UniAud drivers on the system where VPC is
installed, and have
installed sound support using the following procedure:

   1.Go to a command line prompt, and change to the directory where VPC
is installed.

   2.Type VPCSETUP /TWEAKVPC

Additional setup options are displayed for VPC. Check the box beside
"Enable Sound in
Virtual Machines". Close the setup menu.

Cheers/2

Ed.

"Robert Traynor (BobT)" wrote:

> Ed,
>
> >From the readme.txt file:-
>
> 5. Known Problems
> -----------------
>
> - due to problems with several sound chips, sound support
>   has been disabled in this version of the product. It
>   might be reenabled in a future release. Note that this
>   is not a problem with Virtual PC but rather a problem
>   with many OS/2 sound drivers not being able to handle
>   small buffers. Especially the current Crystal sound
>   drivers are very problematic. The ESS PCI sound drivers
>   lead to constant system hangs after running VPC for
>   about 30-45 minutes.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 30 Jul 2003 21:10:11 -0500
From:  "Glenn Thompson"<tsq at internode.on dot net>
Subject:   testing 1..2.3,

Sorry to be a menace, bin having some trouble's communicationg with the
list and seeing wether I got it worked out yet !

Glenn.
-- 
-----------------------------------------------------------
"Glenn Thompson"<tsq at internode.on dot net>
OS/2 Users Group of South Australia
www.
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 30 Jul 2003 21:23:37 -0500
From:  "Glenn Thompson"<tsq at internode.on dot net>
Subject:  Re:  testing 1..2.3,

On 07/30/03 at 09:10 PM, "Glenn Thompson"<tsq at internode.on dot net> said:

Looks like it's worked !
Thanks for the tips Ian !
no more test.

-- 
-----------------------------------------------------------
"Glenn Thompson"<tsq at internode.on dot net>
OS/2 Users Group of South Australia
www.
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Wed, 30 Jul 2003 22:19:43 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  testing 1..2.3,

On Wed, 30 Jul 2003 21:10:11 -0500, Glenn Thompson wrote:

>Sorry to be a menace, bin having some trouble's communicationg with the
>list and seeing wether I got it worked out yet !

Hi Glenn.

[Technician Voice 1] Testing channel 17

FX: {Crack...crash!} 

[Technician Voice 2] OK on channel 17

[Technician Voice 1] Testing channel 38

FX: {Crack...crash!} 

OK on channel 38

[Technician Voice 1] Testing dive ship

FX: {Zzzm, Zmmm, squark!}

[Technician Voice 2] Sundive ship on trajectory!

[Arthur] This is it. We're going to die!
[Marvin, the paranoid android] Well, what do you expect when you steal
Hotblack Desiato's starship?

Channel  coming through OK for you Glenn

<VBG>

Best regards
John Angelico
OS/2 SIG
os-2 at melbpc dot org dot au or talldad at kepl dot com dot au
_______________________________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... I'm so hip I have trouble seeing over my pelvis. -- Zaphod
----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Wed, 30 Jul 2003 22:06:34 -0500
From:  "Glenn Thompson"<tsq at internode.on dot net>
Subject:  Re:  testing 1..2.3,

On 07/30/03 at 10:19 PM, "John Angelico" <talldad at kepl dot com dot au> said:

->Channel  coming through OK for you Glenn

Yes mate, load and clear, no crackling |-))
I believe Captains of Vogon Constructor Fleets also announce their arrival
with a testing 123 just before blowing upthe planet ... hehehe

Ciou
-- 
-----------------------------------------------------------
"Glenn Thompson"<tsq at internode.on dot net>
OS/2 Users Group of South Australia
www.
-----------------------------------------------------------

----------------------------------------------------------------------------------